#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,l;
    scanf("%d",&n);
    scanf("%d",&l);

    int stalaktit[n],parametar1=-1,parametar2=0;

    for(int i=0;i<n;i++){
        scanf("%d",&stalaktit[i]);
        if(stalaktit[i]<=l && parametar2==0){
           parametar1=i+1;
           parametar2=1;
        }
    }
    printf("%d",parametar1);
    return 0;
}